﻿/**
* How to use the XML2Object class
* in order to convert XML files into
* AS native objects
*/

// import the class. you need to install first
// the .mxp file provided with the zip, using the
// Macromedia Extension Manager
import it.sephiroth.XML2Object

// xml file for the test
xmlFile = "./test.xml"

// now load the XML using the classic
// XML class
myXML = new XML();
myXML.load(xmlFile);
myXML.onLoad = function(){
	trace("XML loaded");
	// now initialize the XML2Object class
	var xml_loader:XML2Object = new XML2Object();
	// get the native flash object using the parseXML method, and
	// passing the XML itself as argument
	as2obj = xml_loader.parseXML(this);
	// let's parse the Object now...
	
	// if a node is multiple it will be traslated as an Array, like the
	// IMAGE tag of the XML file
	trace("Image 1: " add as2obj.MAIN.IMAGE[0].data add ", with ID: " add as2obj.MAIN.IMAGE[0].attributes.id)
	trace("Image 2: " add as2obj.MAIN.IMAGE[1].data add ", with ID: " add as2obj.MAIN.IMAGE[1].attributes.id)
	
	// some other tag
	trace("TEXT: ")
	trace(as2obj.MAIN.TEXT.ID.data)
	trace(as2obj.MAIN.TEXT.ALT[0].data)
	trace(as2obj.MAIN.TEXT.ALT[1].data)
}